# Note that versions of FileHandle::Unget later than 0.14 use Scalar::Util,
# which is built-in to RedHat perl packages. Unfortunately, version 0.14 of
# Scalar::Util (required), only appears in Fedora Core >= 3 and Red Hat
# Enterprise Linux >= 4 packages, hence this version is incompatible with
# older OS releases.

Summary:	A FileHandle that supports ungetting of multiple bytes
Name:		perl-FileHandle-Unget
Version:	0.1621
Release:	1%{?dist}
License:	GPL
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/FileHandle-Unget
Source0:	http://search.cpan.org/CPAN/authors/id/D/DC/DCOPPIT/FileHandle-Unget-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(Scalar::Util) >= 1.14
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
FileHandle::Unget is a drop-in replacement for FileHandle that allows more
than one byte to be placed back on the input. It supports an ungetc(ORD), which
can be called more than once in a row, and an ungets(SCALAR), which places a
string of bytes back on the input.

%prep
%setup -q -n FileHandle-Unget-%{version}

# Permissions wrong in tarball
%{__chmod} -x lib/FileHandle/Unget.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
%{_bindir}/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
%{_bindir}/find %{buildroot} -type d -depth -exec %{__rmdir} {} 2>/dev/null ';'
%{__chmod} -R u+w %{buildroot}/*

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc README CHANGES LICENSE
%{perl_vendorlib}/FileHandle/
%{_mandir}/man3/FileHandle::Unget.3pm*

%changelog
* Wed Oct 12 2005 Paul Howarth <paul@city-fan.org> 0.1621-1
- Fedora Extras submission
